function $AdfCallbackLoadableScript$$($context$$64$$, $callback$$73$$, $state$$97$$) {
  this.Init($context$$64$$, $callback$$73$$, $state$$97$$)
}
$goog$exportSymbol$$("AdfCallbackLoadableScript", $AdfCallbackLoadableScript$$);
$AdfObject$$.$createSubclass$($AdfCallbackLoadableScript$$, $AdfLoadableScript$$);
$AdfCallbackLoadableScript$$.prototype.Init = function $$AdfCallbackLoadableScript$$$$Init$($context$$65$$, $callback$$74$$, $state$$98$$) {
  $AdfCallbackLoadableScript$$.$superclass$.Init.call(this);
  this.$_context$ = $context$$65$$;
  this.$_callback$ = $callback$$74$$;
  this.$_state$ = $state$$98$$
};
$AdfObject$$.$exportPrototypeSymbol$("AdfCallbackLoadableScript.prototype.Init", {Init:$AdfCallbackLoadableScript$$.prototype.Init});
$AdfCallbackLoadableScript$$.prototype.$getLoadMethod$ = function $$AdfCallbackLoadableScript$$$$$getLoadMethod$$() {
  return $AdfScriptLoadingService$$.$METHOD_SYNCHRONOUS$
};
$AdfObject$$.$exportPrototypeSymbol$("AdfCallbackLoadableScript.prototype.getLoadMethod", {$getLoadMethod$:$AdfCallbackLoadableScript$$.prototype.$getLoadMethod$});
$AdfCallbackLoadableScript$$.prototype.load = function $$AdfCallbackLoadableScript$$$$load$($loadCallback$$1$$) {
  this.$_callback$.call(this.$_context$, this.$_state$);
  $loadCallback$$1$$ && $loadCallback$$1$$()
};
$AdfObject$$.$exportPrototypeSymbol$("AdfCallbackLoadableScript.prototype.load", {load:$AdfCallbackLoadableScript$$.prototype.load});
